/* Autogenerated file. Do not edit manually. */
/* tslint:disable */
/* eslint-disable */

import { Contract, Signer, utils } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type {
  ICondition,
  IConditionInterface,
} from "../../../contracts/interfaces/ICondition";

const _abi = [
  {
    inputs: [
      {
        internalType: "address",
        name: "to",
        type: "address",
      },
      {
        internalType: "bytes",
        name: "data",
        type: "bytes",
      },
    ],
    name: "condition",
    outputs: [],
    stateMutability: "nonpayable",
    type: "function",
  },
] as const;

export class ICondition__factory {
  static readonly abi = _abi;
  static createInterface(): IConditionInterface {
    return new utils.Interface(_abi) as IConditionInterface;
  }
  static connect(
    address: string,
    signerOrProvider: Signer | Provider
  ): ICondition {
    return new Contract(address, _abi, signerOrProvider) as ICondition;
  }
}
